<xml> </xml>

db4o |

# Reflector Methods

The methods of the Reflector interface are listed below. For a complete list of Reflector interface members, see the Reflector Members topic.

#### Public Instance Methods

array | returns an IArray object, the equivalent to java.lang.reflect.Array.
constructorCallsSupported | specifiy whether parameterized Constructors are supported.
forClass | returns an IClass for a Class
forName | returns an IClass class reflector for a class name or null if no such class is found
forObject | returns an IClass for an object or null if the passed object is null.
isCollection |
setParent |

#### See Also

Reflector Interface | com.db4o.reflect Namespace